#ifndef INCLUDED_snow_types_SystemEventType
#define INCLUDED_snow_types_SystemEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,SystemEventType)
namespace snow{
namespace types{


class SystemEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef SystemEventType_obj OBJ_;

	public:
		SystemEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.SystemEventType"); }
		::String __ToString() const { return HX_CSTRING("SystemEventType.") + tag; }

		static ::snow::types::SystemEventType app_didenterbackground;
		static inline ::snow::types::SystemEventType app_didenterbackground_dyn() { return app_didenterbackground; }
		static ::snow::types::SystemEventType app_didenterforeground;
		static inline ::snow::types::SystemEventType app_didenterforeground_dyn() { return app_didenterforeground; }
		static ::snow::types::SystemEventType app_lowmemory;
		static inline ::snow::types::SystemEventType app_lowmemory_dyn() { return app_lowmemory; }
		static ::snow::types::SystemEventType app_terminating;
		static inline ::snow::types::SystemEventType app_terminating_dyn() { return app_terminating; }
		static ::snow::types::SystemEventType app_willenterbackground;
		static inline ::snow::types::SystemEventType app_willenterbackground_dyn() { return app_willenterbackground; }
		static ::snow::types::SystemEventType app_willenterforeground;
		static inline ::snow::types::SystemEventType app_willenterforeground_dyn() { return app_willenterforeground; }
		static ::snow::types::SystemEventType file;
		static inline ::snow::types::SystemEventType file_dyn() { return file; }
		static ::snow::types::SystemEventType init;
		static inline ::snow::types::SystemEventType init_dyn() { return init; }
		static ::snow::types::SystemEventType input;
		static inline ::snow::types::SystemEventType input_dyn() { return input; }
		static ::snow::types::SystemEventType quit;
		static inline ::snow::types::SystemEventType quit_dyn() { return quit; }
		static ::snow::types::SystemEventType ready;
		static inline ::snow::types::SystemEventType ready_dyn() { return ready; }
		static ::snow::types::SystemEventType shutdown;
		static inline ::snow::types::SystemEventType shutdown_dyn() { return shutdown; }
		static ::snow::types::SystemEventType unknown;
		static inline ::snow::types::SystemEventType unknown_dyn() { return unknown; }
		static ::snow::types::SystemEventType update;
		static inline ::snow::types::SystemEventType update_dyn() { return update; }
		static ::snow::types::SystemEventType window;
		static inline ::snow::types::SystemEventType window_dyn() { return window; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_SystemEventType */ 
